package router

import (
	"github.com/gin-gonic/gin"
)

func RegisterParameter(group *gin.RouterGroup, handler *Parameter) {
	router := group.Group("/sysParams")
	router.POST("/createSysParams", handler.Create)
	router.PUT("/updateSysParams", handler.Update)
	router.DELETE("/deleteSysParams", handler.Delete)
	router.DELETE("/deleteSysParamsByIds", handler.DeleteMany)
	router.GET("/findSysParams", handler.Find)
	router.GET("/getSysParam", handler.Get)
	router.GET("/getSysParamsList", handler.List)
}
